Subject: to Jeffrey Sharp Re: Jeffrey Worley

From: [email-masked]
Date: Tue Jun 17 09:46:11 2003

I saw your entry that seems to be about a year old about Jeff Worley. I thought it was odd that you refered to him with the handle Technoid. The Jeffrey Worley I knew from High school ('86-'87) in Miami went by "technoid mutant". I'm wondering if this is the same person I know. if so, I might have some disturbing news about Jeffrey. Please let me know if some of the information I have presented here seems to Jibe with who you knew.

Ted Hubbart